/*
Smart Array
   Devices
      msacontrolleroverview.js
      marraystab.js

   Managers
      mlicensemanageroverview.js
      mencryptionmanageroverview.js
      mcachemanageroverview.js

Diagnostics
   mdiagnosticsoverview.js
*/
var AMActionOverview = AMTab2.extend({

   initialize: function() {
      AMTab2.prototype.initialize.call(this);
      this.updateDevice(this.get("sDeviceID"));
   },
   
   updateDevice: function(sID) {
      var oDevice = null;
      if (IsDefinedAndSet(sID))
      {
         oDevice = GetDeviceDetails(sID, 3).device;
      }
      else
      {
         sID = '';
      }
      this.set({
         'sDeviceID':sID,
         'oDevice':oDevice
      });
   }
   
});