var MConfigurationNavDynamicSection = AMNavDynamicSection.extend({

   // 5. Triggered by AVNavDynamicSection.refresh.
   refresh: function() {
      this.updateDevice(true);
   },

   initialize: function() {
      AMNavDynamicSection.prototype.initialize.call(this);
      //this.updateDevice(false);
   },

   // bRefresh - true or false to refresh the device on the server side.
   updateDevice: function(bRefresh) {
      var nDetailLevel = 3;
      if (bRefresh)
      {
         nDetailLevel = 13;
      }
      this.set({
         'nControllersLoading': 1
      });
      var sDeviceID = this.get("sDeviceID");
      this.bind("change:nControllersLoading", this.changeLoading, this);
      var oDevice = GetDeviceDetails(
         sDeviceID,
         nDetailLevel,
         function(o) {
            var n = this.get('nControllersLoading') - 1;
            this.set({
               'nControllersLoading': n,
               'oDevice': o.device
            });
         },
         true,
         this);
   }
   
});