var MEncryptionManagerOverview = AMActionManager.extend({
   initialize: function() {
      AMActionManager.prototype.initialize.call(this);
      var sManagerID = "EM";
      var sType = "TypeEncryptionManager";
      var sPathSuffix = "encryption_manager";
      var sDeviceID = this.get("sDeviceID");
      var sLinkPath = "#configuration/" + encodeURIComponent(sDeviceID) + "/" + sPathSuffix + "/";
      var sNewDeviceID = sDeviceID + ":" + sManagerID;
      this.set({'sDeviceID':sNewDeviceID});
      //var oOperations = GetOperations(sType, sNewDeviceID).operations;
      this.set({
         'sType': sType,
         //'oOperations': oOperations,
         'sLinkPath': sLinkPath,
         'bIncludeStatusAlerts': true
      });
      this.updateDashboard();
   },

   updateDashboard: function() {
      var oDashboard = GetEncryptionDashboard();
      this.set({
         "oDashboard": oDashboard.RequestResult
      });
   }
});