// Top level piece for the main page.
var VHome = AVBody.extend({
   
   initialize: function() {
      this.oVTabLinks = [];
      AVBody.prototype.initialize.call(this);
   },
   
   render: function() {
      /*var sStorageSystemSectionHTML = 
         '<div class="section">' +
            '<div class="sectionTitle">HP ProLiant Server</div>' +
            '<ul id="storageSystemUL" class="list1">' +
            '</ul>' +
         '</div>';
      
      var sArrayControllerSectionHTML =
         '<div class="section">' +
            '<div class="sectionTitle">Array Controller(s)</div>' +
            '<ul id="arrayControllerUL" class="list1">' +
            '</ul>' +
         '</div>';
         
      var sDiagnosticsSectionHTML =
         '<div class="section">' +
            '<div class="sectionTitle">Array Diagnostics</div>' +
            '<ul id="diagnosticsUL" class="list1">' +
            '</ul>' +
         '</div>';
      
      var sHBAHTML = 
         '<li class="item1"><a href="#">' +
            '<div class="icon HPSSA_SPRITE ICON_STANDUP_ARRAY_CONTROLLER"></div>' +
            '<div class="label">LSI SAS 9211-8i</div>' +
         '</a></li>';
      
      var sHBASectionHTML =
         '<div class="section">' +
            '<div class="sectionTitle">Host Bus Adapter(s)</div>' +
            '<ul class="list1">' + sHBAHTML +
            '</ul>' +
         '</div>';
      */
      /*      
      var sHTML = 
         '<div class="tab1Nav">' + sStorageSystemSectionHTML + sArrayControllerSectionHTML + sDiagnosticsSectionHTML + '</div>' +
         '<div class="tab1Body"></div>';
      this.$el.append(sHTML);*/
      var oNavDiv = $('<div/>', {'class':'tab1Nav'});
      var oBodyDiv = $('<div/>', {'class':'tab1Body'});
      this.$el.append(oNavDiv);
      this.$el.append(oBodyDiv);
      var oMNav = new MHomeNav({
         "sSelectedTab": this.model.get("sDeviceID"),
         "oControllerList": this.model.get('oControllerList')
      });
      this.oVNav = new VHomeNav({ el: oNavDiv, model: oMNav });
      
      var sTab = this.model.get("sTab");
      var oThis = this;
      if (sTab == "welcome")
      {
         oThis.clickWelcome();
      }
      else if (sTab == "server")
      {
         oThis.clickServer();
      }
      else if (sTab == "arraycontroller")
      {
         oThis.clickArrayController();
      }
      //this.addStorageSystemLinks();
      //this.addControllerTabLinks();
      //this.addDiagnosticsLinks();
      //Async(function(){ oThis.addControllerTabLinks() });
      // Indicate which tab we're on.
      return this;
   },
   
/*    addStorageSystemLinks: function() {
      var oStorageSystemUL = this.$('#storageSystemUL');
      var oStorageSystemLI = $('<li class="item1"></li>');
      oStorageSystemUL.append(oStorageSystemLI);
      oStorageSystemLI.append('<a href="#">' +
         '<div class="icon HPSSA_SPRITE ICON_STORAGE_SYSTEM"></div>' +
         '<div class="label">Overview</div>' +
         '</a>');
   },
 */   /*
   addDiagnosticsLinks: function() {
      var oUL = this.$('#diagnosticsUL');
      var oLI = $('<li class="item1"></li>');
      oUL.append(oLI);
      oLI.append('<a href="SSADiags/SSADiags.htm" target="_blank">' +
      //oLI.append('<a href="#diagnostics">' +
         '<div class="icon HPSSA_SPRITE ICON_DIAGNOSTICS"></div>' +
         '<div class="label">View Report</div>' +
         '</a>');
   },*/
   
   /* addControllerTabLinks: function() {
      var oControllerList = this.model.get('oControllerList');
      for (var i=0; i<oControllerList.length; ++i)
      {
         var oArrayControllerUL = this.$('#arrayControllerUL');
         var oArrayControllerLI = $('<li class="item1"></li>');
         oArrayControllerUL.append(oArrayControllerLI);
         var oMConfigurationDeviceTabLink = new MConfigurationDeviceTabLink({
            'sDeviceID':oControllerList[i]
         });
         var oVConfigurationDeviceTabLink = new VConfigurationDeviceTabLink({
            'el': oArrayControllerLI,
            'model': oMConfigurationDeviceTabLink
         });
         this.oVTabLinks.push(oVConfigurationDeviceTabLink);
      }
   }, */
   
   clickWelcome: function() {
      var oModel = new MHomeWelcome({
         "sTab": this.model.get("sTab1")
      });
      this.oVTab = new VHomeWelcome({ 
         el: this.loadTab("HomeWelcome", ""), 
         model: oModel
      });
   },
   
   clickServer: function() {
      var sTab = this.model.get("sTab1");
      var sTab1 = this.model.get("sTab2");
      var sDeviceID = this.model.get("sDeviceID");
      var oModel = new MHomeServer({
         "sDeviceID": sDeviceID,
         "sTab": sTab,
         "sTab1": sTab1
      });      
      this.oVTab = new VHomeServer({ 
         el: this.loadTab("HomeServer", ""), 
         model: oModel
      });
   },

   clickArrayController: function() {
      var sTab = this.model.get("sTab1");
      var sTab1 = this.model.get("sTab2");
      var sDeviceID = this.model.get("sDeviceID");
      var oModel = new MHomeController({
         "sDeviceID": sDeviceID,
         "sTab": sTab,
         "sTab1": sTab1
      });      
      this.oVTab = new VHomeController({
         el: this.loadTab("HomeController", ""), 
         model: oModel
      });
   }
   
});