var AVControl = AVResize.extend({
   className:"controlInput",
   
   events: {
   },
   
   initialize: function() {
      AVResize.prototype.initialize.call(this);
      this.render();
   },

   dispose: function() {
      // TODO: Implement disposal for all controls.
      AVResize.prototype.dispose.call(this);
   },
   
   setFocus: function() {
      var oInputs = this.$el.find('input[type=text]:visible:enabled,input[type=password]:visible:enabled,input[type=radio]:visible:enabled,input[type=checkbox]:visible:enabled,div.button:visible:enabled,a:visible:enabled,textarea:visible:enabled,select:visible:enabled');
      if (oInputs.length > 0)
      {
         oInputs[0].focus();
      }
   },

   render: function() {
      return this;
   },

   getNumParams: function() {
      return this.model.get('nNumParams');
   },

   getPN: function(nParamPairIndex) {
      return "PN"+nParamPairIndex;
   },

   getPV: function(nParamPairIndex) {
      return "PV"+nParamPairIndex;
   },

   getParams: function(nParamPairIndex) {
      var oControlParams = {};
      var sPN = "PN"+nParamPairIndex;
      var sPV = "PV"+nParamPairIndex;
      oControlParams[sPN] = this.getName();
      oControlParams[sPV] = this.getValue();
      return oControlParams;
   },
   
   getName: function() {
      return this.model.get('sName');
   },
   
   getValue: function() {
      var s = '';
      return s;
   },
   
   isValid: function() {
      // Overload this method.
      var errorMessage = '';
      return errorMessage;
   },
   
   triggerResize: function() {
      this.model.set({'nWidth':0});
      this.$el.trigger("resize");
      //TriggerResize();
   }
   
});