var MDeviceStatusCounts = AMResize.extend({

   defaults: {
      'nTimeUpdated': 0,
      'bNoClickAction': false
   },

   initialize: function() {
      AMResize.prototype.initialize.call(this);
      if (!IsDefined(this.get('oDevice')))
      {
         this.refresh();
      }
      else
      {
         this.set({
            'nTimeUpdated': $.now()
         });
      }
      //GetControllerActivities();
   },

   refresh: function() {
      var sDeviceID = this.get('sDeviceID');
      GetDeviceDetails(
         sDeviceID,
         3,
         function(o) {
            this.set({
               'oDevice': o.device,
               'nTimeUpdated': $.now()
            });
         },
         true,
         this);
   }
});