function MixinRefreshSubject() 
{
   return {
   
      refresh: function() {
         // To overload.
         this.notifyRefreshObservers();
      },

      notifyRefreshObservers: function() {
         this.trigger("refreshCompleted");
      },

      renderNotifyRefreshObservers: function() {
         this.render();
         this.notifyRefreshObservers();
      }
   }
};