var AVTreeTab = AVActionOverview.extend({
   /*
   events: {
      "click .button.action": "clickActionButton",
      "click #viewMoreDetails": "clickViewMoreDetails",
      //"click .opFooter .buttons .Dismiss": "clickDismissButton",
      //"change_control .filterGroupSortLists" : "onControlSelectionChange",
      //"resize .controlInput" : "resize"
   },*/

   render: function ()
   {
      AVActionOverview.prototype.render.call(this);
      this.resize();
      return this;
   },
   
   drawAll: function()
   {
      // To overload.
   },
   
   disable: function()
   {
      this.$('.opBody').addClass("disabled");
   },

   enable: function()
   {
      this.$('.opBody').removeClass("disabled");
   },
   
   selectChild: function(sID)
   {
      this.model.updateDevice(sID);
      this.render();
   },
   
   drawOverview: function(oParentDiv)
   {
      var oTitle = $('<div/>', {'class': 'overview'});
      var sMsg = this.model.get('sOverviewMsg');      
      oTitle.html(TranslateString(sMsg));
      oParentDiv.append(oTitle);
   },

   updateOverview: function()
   {
      var oTitle = $(".overview");
      var sMsg = this.model.get('sOverviewMsg');
      oTitle.html(TranslateString(sMsg));
   },

/*   
   // When clicking on Finish to exit Action pages.
   clickDismissButton: function ()
   {
      // TODO: create views for new operation pages to be able to destroy them when switching tabs.
      
      // Clear device selection since the action page we're dismissing may 
      // have called GetDeviceDetails on other devices causing us to have 
      // undesired devices selected (i.e. actions with device selectors).
      // If we didn't call ClearDeviceSelection then if we canceled out 
      // of an action and clicked it again (e.g. Create Logical Drive),
      // we would get an empty action page.
      //ClearDeviceSelection(); // TODO - the selected device in tree needs to be selected.
      //this.trigger("refresh");
      this.$(".opBody").trigger("refresh");
      //this.render();
      //TriggerResize();
   },
*/

   resizeWidth: function() {
      AVAction.prototype.resizeWidth.call(this);
      var oOpBodyWidthDiv = this.$('.opBodyWidth');
      var nBodyWidth = oOpBodyWidthDiv.width();
      var oLeftColumnDiv = this.$('.leftColumn');
      var oLeftColumnMargin = oLeftColumnDiv.css("margin-left");
      var oRightColumnMargin = 15;
      if (IsDefined(oLeftColumnMargin))
      {
         oLeftColumnMargin = parseInt(oLeftColumnMargin);
      }
      else
      {
         oLeftColumnMargin = 15;
      }
      var nLeftColumnWidth = nBodyWidth - oLeftColumnMargin - oRightColumnMargin;
      oLeftColumnDiv.width(nLeftColumnWidth); // 380
   },
   
   resizeHeight: function() {
      AVAction.prototype.resizeHeight.call(this);
   }
});