var AMDeviceContainer = AMAction.extend({
   initialize: function(){
      AMAction.prototype.initialize.call(this);
      var sType = this.get('sType');
      var sEmptyNote = '';
      var sName = '';
      if (sType == "TypeLogicalArray")
      {
         sName = 'STR_SELECT_ARRAYS';
         sEmptyNote = 'STR_NO_LOGICAL_ARRAY_NOTE';
      }
      else if (sType == "TypeLogicalDrive")
      {
         sName = 'STR_SELECT_LOGICAL_DRIVES';
         sEmptyNote = 'STR_NO_LOGICAL_DRIVES_NOTE';
      }
      else if (sType == "TypeAssignedDrive")
      {
         sName = 'STR_SELECT_ASSIGNED_DRIVES';
         sEmptyNote = 'STR_NO_ASSIGNED_DRIVES_NOTE';
      }
      else if (sType == "TypeUnassignedDrive")
      {
         sName = 'STR_SELECT_UNASSIGNED_DRIVES';
         sEmptyNote = 'STR_NO_UNASSIGNED_DRIVES_NOTE';
      }
      this.set({
         'sName':sName,
         'sEmptyNote':sEmptyNote,
         'bIncludeStatusAlerts':true
      });
   }
});