var MArraysNav = AMTreeNav.extend({

   initialize: function() {
      this.set({
         'sEmptyMsg':'STR_EMPTY_ARRAYS',
         "sTitle": "STR_ARRAYS"
      });
      AMTreeNav.prototype.initialize.call(this);
   },

   getDevices: function(bFetch) {
      var sDeviceID = this.get("sDeviceID");
      var sType = "TypeConfiguredDrive";
      var oConfiguredDrives = EnumerateDevices(sType, sDeviceID, bFetch);
      // TODO following line doesn't work when enumeratedevices is cached.
      var oSortList = GetDeviceSortLists(sType, sDeviceID, bFetch);
      var oArrays = EnumerateDevices("TypeLogicalArray", sDeviceID, bFetch);

      if (IsDefinedAndSet(oConfiguredDrives))
      {
         oConfiguredDrives = oConfiguredDrives.devices;
      }
      if (IsDefinedAndSet(oArrays))
      {
         oArrays = oArrays.devices;
      }
      var sSelectedDeviceID = this.get('sSelectedDeviceID');
      // If selected device is not in the device list, use the parent device.
      if ($.inArray(sSelectedDeviceID, oConfiguredDrives) == -1 && 
          $.inArray(sSelectedDeviceID, oArrays) == -1)
      {
         sSelectedDeviceID = sDeviceID;
      }

      var oFilter = new SALFilter(oSortList.filter);
      this.set({
         'oDevices':oConfiguredDrives,
         'oSortList':oSortList,
         'oFilter':oFilter,
         'sSelectedDeviceID':sSelectedDeviceID
      });
      // Draw the navigation after getting devices.
      if (bFetch)
      {
         this.trigger("renderNotifyRefreshObservers");
      }
      else
      {
         this.trigger("render");
      }
   },

   getOperations: function() {
      //var oOperationSelectionDiv = this.$('.operationSelection');
      /*var sDeviceID = this.model.get("sDeviceID");
      var oOperations = this.model.get('oOperations');
      var sLinkPath = this.model.get('sLinkPath');
      for (var j = 0; j < oOperations.length; ++j)
      {
         var oList = oOperations[j].OperationList;
         var oHintList = oOperations[j].HintList;
         for (var i = 0; i < oList.length; ++i)
         {
            var sPath = sLinkPath + oList[i];
            var sButtonLabel = TranslateString(oList[i]);
            var sDescription = TranslateString(oHintList[i]);
            var bIsLastAction = j == oOperations.length-1 && i == oList.length-1;
            //var oTabDiv = this.getTabEl(sPath, sButtonLabel, sDescription, bIsLastAction);
            //oOperationSelectionDiv.append(oTabDiv);
         }
      }*/
   }

});