var VCacheManagerTab = AVTreeTab.extend({
   
   drawAll: function()
   {
      var sDeviceType = GetDeviceType(this.model.get('sDeviceID'));
      this.model.set({
         'sType':sDeviceType
      });
      var bDrawHeader = sDeviceType != "TypeSmartArrayController";
      if (bDrawHeader)
      {
         this.drawHeader();
         this.enable();
      }
      else
      {
         //this.disable();
      }
      var oBodyDiv = this.$('.opBodyInner');
      var oColumnDiv = $('<div/>', {'class':'leftColumn'});
      oBodyDiv.append(oColumnDiv);
      // TypeControllerCache (Controller Cache)
      // TypeLogicalArray (SmartCache Array)
      // TypeLogicalDrive (Cache for LD)
      // TypePhysicalDrive
      if (sDeviceType == "TypeCacheManager")
      {
         this.drawActionWidget(oColumnDiv, true);
      }
      else
      {
         var sDetails = '';
         if (sDeviceType == "TypeControllerCache")
         {
            sDetails = 'STR_CONTROLLER_CACHE_DETAILS';
         }
         else if (sDeviceType == "TypeLogicalArray")
         {
            sDetails = 'STR_ARRAY_DETAILS';
         }
         // TODO: Change to Cache for Logical Drive... in SAL too?
         else if (sDeviceType == "TypeLogicalDrive")
         {
            //sDetails = 'STR_LOGICAL_DRIVE_DETAILS';
            sDetails = 'STR_SMARTCACHE_DETAILS|STR_SMARTCACHE_STATS';
         }
         else if (sDeviceType == "TypePhysicalDrive")
         {
            sDetails = 'STR_PHYSICAL_DRIVE_DETAILS';
         }
         this.drawActionWidget(oColumnDiv);
         this.drawDetailsWidget(oColumnDiv, sDetails);
      }
   }
   
});