var VLicenseManagerTab = AVTreeTab.extend({
   
   drawAll: function()
   {
      var sDeviceType = GetDeviceType(this.model.get('sDeviceID'));
      var bDrawHeader = sDeviceType != "TypeSmartArrayController";
      if (bDrawHeader)
      {
         this.drawHeader();
         this.enable();
      }
      else
      {
         //this.disable();
      }
      var oBodyDiv = this.$('.opBodyInner');
      var oColumnDiv = $('<div/>', {'class':'leftColumn'});
      oBodyDiv.append(oColumnDiv);
      if (sDeviceType == "TypeSmartArrayController")
      {
         // Display overview page.
         this.drawOverview(oColumnDiv);
         this.drawActionWidget(oColumnDiv, true);
      }
      else
      {
         var sDetails = '';
         if (sDeviceType == "TypeLicensedFeature")
         {
            var bHideNoActions = true;
            this.drawActionWidget(oColumnDiv, bHideNoActions);
            sDetails = 'STR_LICENSED_FEATURE_DETAILS';
         }
         this.drawDetailsWidget(oColumnDiv, sDetails);
      }
   },

   drawOverview: function(oParentDiv)
   {
      //TODO: EnumerateOperations on License Manager to display avail ops.
      var oTitle = $('<div/>', {'class': 'overview'});
      var sMsg = this.model.get('sOverviewMsg');      
      oTitle.html(TranslateString(sMsg));
      oParentDiv.append(oTitle);
   }
   
});