var MArrayDiagnosticsReport = AMResize.extend({

   initialize: function() {
      AMResize.prototype.initialize.call(this);
      this.set({
         "bReportIsFinished":false
      });
      var sDeviceID = this.get('sDeviceID');
      var sReportType = this.get('sReportType');
      if (sDeviceID == "proliant")
      {
         if (sReportType == "ADU")
         {
            sDeviceID = "SDLClassADUReport";
         }
         else if (sReportType == "SSD")
         {
            sDeviceID = "SDLClassSSDReport";
            SelectBaseDevice();
            var oHBAList = EnumerateDevices("TypeHostBusAdapter").devices;
            var oSSDs = EnumerateDevices("TypeSolidStateDevice").devices;
         }
      }
      var oBeginReport = BeginReport(sReportType, sDeviceID, this.refreshProgressStatus, false, this);
   },
   
   refreshProgressStatus: function(o) {
      //GetReportGenerationStatus(this.checkReportProgress);
      var oThis = this;
      GetReportGenerationStatus(function (o) {
         oThis.checkReportProgress(o);
      });
   },
   
   checkReportProgress: function(o) {
      var oThis = this;
      oThis.set({'oProgress':o})
      if (!o.isADUReportDone && !o.isADUReportCancelled)
      {
         setTimeout(function()
         {
            oThis.refreshProgressStatus();
            //onResizeHandler();
         }, 1000);
      }
      else if (!o.isADUReportCancelled)
      {
         /*whiteboardIsBusy = false;*/
         //oThis.UpdateOverallProgress(3, o);
         setTimeout(function()
         {
            oThis.onReportComplete();
         }, 
         100);
      }
   },
   
   onReportComplete: function () {
      // Display the report.
      var oThis = this;
      /*GetReportContentForDisplay(function(o){
         oThis.set({
            'oReport' : o
         });
      }, false, this);*/
      //var oReport = GetReportContentForDisplay();
      //oThis.set({'oReport':oReport});
      oThis.set({'bReportIsFinished':true});

      /*var reportType = "Diagnostic";
      if (parent.globalData.reportIsSSD)
      {
         reportType = "SSD";
      }
      if (parent.globalData.viewReport)
      {
         document.location = "SSADiagsView" + reportType + "Report.htm";
      }
      else
      {
         document.location = "SSADiagsSaveReport.htm";
      }*/
   }

});