var VDiagnosticsNavDynamicSection = AVNavDynamicSection.extend({
   
   render: function() {
      AVNavDynamicSection.prototype.render.call(this);
      //this.drawSection("STR_SELECTED_CONTROLLER");
      this.drawSection("STR_REPORT_TYPE");
      this.addReportTabLinks();
      return this;
   },
   
   addReportTabLinks: function() {
      var oVTabSection = this.drawTabSection();

      var oTabs = [
         {
            "sIcon":"ICON_DIAGNOSTICS",
            "sName":"STR_DIAGNOSTIC_REPORT",
            "sLink":"diagnostic_report",
            "sType":"TypeDiagnosticReport"
         },
         {
            "sIcon":"ICON_SSD_WEAR_GAUGE",
            "sName":"STR_SSD_WEAR_GAUGE_REPORT",
            "sLink":"ssd_report",
            "sType":"TypeSSDReport",
         }         
      ];
      var sDeviceID = this.model.get("sDeviceID");
      var sLinkPrefix = 'diagnostics/' + encodeURIComponent(sDeviceID);
      for (var i=0; i < oTabs.length; ++i)
      {
         sSelectedTab = this.model.get("sSelectedTab");
         if (sSelectedTab == "GUI_OP_VIEW_DIAGNOSTIC_REPORT")
         {
            sSelectedTab = "diagnostic_report";
         }
         else if (sSelectedTab == "GUI_OP_VIEW_SSD_REPORT")
         {
            sSelectedTab = "ssd_report";
         }
         var bSelected = oTabs[i].sLink == sSelectedTab;
         oVTabSection.drawDeviceContainerTabLink(sLinkPrefix, sDeviceID, oTabs[i].sIcon, oTabs[i].sName, oTabs[i].sLink, oTabs[i].sType, 0, bSelected);
      }
   }

});