var MConfigAction = AMPopupContent.extend({
   
   defaults: {
      'bIsResponse': false,
      'bUseMaxHeight': true
   },

   initialize: function() {
      AMPopupContent.prototype.initialize.call(this);
      this.initializeOpDetails();
   },

   initializeOpDetails: function(oOpDetails) {
      if (IsDefined(oOpDetails))
      {
         this.set('oOpDetails', oOpDetails);
      }
      else
      {
         oOpDetails = this.get('oOpDetails');
      }
      var sDisplayType = oOpDetails.DisplayType;
      if (IsDefined(sDisplayType) && sDisplayType == "POPUP")
      {
         // IE 8 will not properly adjust popup heights when we are not using max height.
         // So always use Max Height for action popups when running on iE 8.
         if (!g_isIE || getIEVersion() >= 9)
         {
            this.set('bUseMaxHeight', false);
         }
      }
   }
   
});